Subject: Re: ENOBUILD in nf_tables

From: Jeremy Sowden <[email-masked]>
Date: Sun, 21 Jul 2019 12:15:17 +0100

On 2019-07-20, at 09:44:43 +0200, Pablo Neira Ayuso wrote:
> On Fri, Jul 19, 2019 at 10:07:43AM -0700, Jakub Kicinski wrote:
> > I hit the following build breakage on net with the config attached.
> >
> > GCC 9, doesn't seem like your just-posted series fixes this?
>
> $ gcc -v
> ...
> gcc version 9.1.0
>
> $ make
>   ...
>   CC      include/net/netfilter/nf_tables_offload.h.s
>   ...
> $
>
> Works for me here.

I think the compiler version is a red herring.  I reproduced the failure
with gcc-8 (Debian 8.3.0-6) and gcc-9 (Debian 9.1.0-4).  The problem is
that CONFIG_HEADER_TEST is defined and nf_tables_offload.h is not on the
header-test blacklist, but includes nf_tables.h, which is.

J.